<?php

class InitExtension extends CConsoleCommand
{
    /**
     * Run the main command method
     * @param array     
     */
    public function run($args)
    {
        // prepare some vars
        $files      = array();
        $currentDir = dirname(__FILE__) . DIRECTORY_SEPARATOR;
        $destDir    = YiiBase::getPathOfAlias('ext.' . $args[1]) . DIRECTORY_SEPARATOR;
        
        // show debug
        echo("DEBUG: Creating extension dir...\n");
        
        // create dirs
        $this->ensureDirectory($destDir);
        $this->ensureDirectory($destDir . 'assets' . DIRECTORY_SEPARATOR);
        $this->ensureDirectory($destDir . 'assets' . DIRECTORY_SEPARATOR . 'js' . DIRECTORY_SEPARATOR);
        $this->ensureDirectory($destDir . 'assets' . DIRECTORY_SEPARATOR . 'css' . DIRECTORY_SEPARATOR);
        
        // show debug
        echo("DEBUG: Copying extension files...\n");
        
        // build file list
        $files[] = array('source' => $currentDir . 'EEasyFramework.php', 
                         'target' => $destDir . 'EEasyFramework.php');
                         
        $files[] = array('source' => $currentDir . 'assets' . DIRECTORY_SEPARATOR . 'js' . DIRECTORY_SEPARATOR . 'easy.js', 
                         'target' => $destDir . DIRECTORY_SEPARATOR . 'assets' . DIRECTORY_SEPARATOR . 'js' . DIRECTORY_SEPARATOR . 'easy.js');
                         
        $files[] = array('source' => $currentDir . 'assets' . DIRECTORY_SEPARATOR . 'js' . DIRECTORY_SEPARATOR . 'main.js', 
                         'target' => $destDir . DIRECTORY_SEPARATOR . 'assets' . DIRECTORY_SEPARATOR . 'js' . DIRECTORY_SEPARATOR . 'main.js');
                         
        $files[] = array('source' => $currentDir . 'assets' . DIRECTORY_SEPARATOR . 'css' . DIRECTORY_SEPARATOR . 'easy.css', 
                         'target' => $destDir . DIRECTORY_SEPARATOR . 'assets' . DIRECTORY_SEPARATOR . 'css' . DIRECTORY_SEPARATOR . 'easy.css');
        
        $files[] = array('source' => $currentDir . 'assets' . DIRECTORY_SEPARATOR . 'css' . DIRECTORY_SEPARATOR . 'easyprint.css', 
                         'target' => $destDir . DIRECTORY_SEPARATOR . 'assets' . DIRECTORY_SEPARATOR . 'css' . DIRECTORY_SEPARATOR . 'easyprint.css');
        
        // copy files
        $this->copyFiles($files);        
    }
}